c-----------------------------------------------------------------------
c
c	Help subroutine
c
c	part of Mitch Wyle's DTC program
c
c	Inputs: 
c		None
c
c	Output:
c		display screen (see below)
c
c-----------------------------------------------------------------------
c

	SUBROUTINE dhelp


	byte esc
	byte buf(80)

c
c	Initialize:
c

	iterm = 6		!	Output terminal unit number
	esc = "033

	call dtcat(1,1)
	write(iterm,1) esc,'[','2','J'		!	clear screen
1	format(x,79a1)
	write(iterm,2) esc,'#','3'
2	format(x,3a1,5X,'DTC  -  DESK TOP CALENDAR')
	write(iterm,2) esc,'#','4'

	Open (unit=1,file='SYS$HELP:DTC.HLP',READONLY,form='FORMATTED',
     1  status='OLD')

	Do 3 i=1,25
	    Read(1,4,end=5) (buf(j),j=1,79)
	    write(5,6) (buf(j),j=1,79)
3	continue
4	format(79a1)
5	continue
6	format(x,79a1)
	close(unit=1)
	return	
	end
